LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUITest Interface Reference

`import"XUITest.idl";`

Inheritance diagram for XUITest:

## Public Member Functions
boolean | executeCommand ([in] string command)
boolean | executeCommandWithParameters ([in] string command, [in] com::sun::star::beans::PropertyValues propValues)
boolean | executeDialog ([in] string command)
XUIObject | getTopFocusWindow ()
XUIObject | getFloatWindow ()

## Member Function Documentation

## ◆ executeCommand()

boolean executeCommand | ( | [in] string | command | ) |

## ◆ executeCommandWithParameters()

boolean executeCommandWithParameters | ( | [in] string | command,
|  | [in] com::sun::star::beans::PropertyValues | propValues
| ) |  |

## ◆ executeDialog()

boolean executeDialog | ( | [in] string | command | ) |

## ◆ getFloatWindow()

XUIObject getFloatWindow | ( |  | ) |

## ◆ getTopFocusWindow()

XUIObject getTopFocusWindow | ( |  | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/ui/test/XUITest.idl